# sbt

## Sbt Executable
```
--detect.sbt.path
```

Path to the Sbt executable\.

If set, Detect will use the given Sbt executable instead of searching for one\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`C:\Program Files (x86)\sbt\bin\sbt.bat`|

## Additional sbt command Arguments
```
--detect.sbt.arguments
```

A space\-separated list of additional arguments to add to sbt command line when running Detect against an SBT project\. Detect will execute the command 'sbt \{additional arguments\} \{Detect\-added arguments\}'\.



|Details||
|---|---|
|Added|7\.0\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`"-Djline.terminal=jline.UnsupportedTerminal"`|




## SBT Configurations Excluded (Deprecated) 
```
--detect.sbt.excluded.configurations
```

The names of the sbt configurations to exclude\.

This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

**DEPRECATED: This property is being removed\. Sbt will no longer parse report files but instead will use a dependency resolution plugin\. Please install the appropriate plugin in the future\. This property will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|3\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    
## SBT Configurations Included (Deprecated) 
```
--detect.sbt.included.configurations
```

The names of the sbt configurations to include\.

This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

**DEPRECATED: This property is being removed\. Sbt will no longer parse report files but instead will use a dependency resolution plugin\. Please install the appropriate plugin in the future\. This property will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|3\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    
## SBT Report Search Depth (Deprecated) 
```
--detect.sbt.report.search.depth=3
```

Depth the sbt detector will use to search for report files\.



**DEPRECATED: This property is being removed\. Sbt will no longer parse report files but instead will use a dependency resolution plugin\. Please install the appropriate plugin in the future\. This property will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|4\.3\.0|
|Type|Integer|
|Default Value|3|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    
