# yarn

## Yarn Dependency Types Excluded
```
--detect.yarn.dependency.types.excluded=NONE,NON_PRODUCTION 
```

Set this value to indicate which Yarn dependency types Detect should exclude from the BOM\. Currently if this property is not set, the default value is driven by the default values of these properties: detect\.yarn\.prod\.only\. In version 8\.0\.0, all Yarn dependency types will be reported by default\.



|Details||
|---|---|
|Added|4\.0\.0|
|Type|YarnDependencyType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, NON\_PRODUCTION|
|Strict|Yes|
|Example|`NON_PRODUCTION`|


## Yarn Exclude Workspaces (Advanced)
```
--detect.yarn.excluded.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to exclude\.

By default, Detect includes all workspaces, but will skip any Yarn workspaces specified via this property\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    |Example|`workspaces/workspace-a,workspaces/*-test`|

## Yarn Include Workspaces (Advanced)
```
--detect.yarn.included.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to include\.

By default, Detect includes all workspaces\. If workspaces are excluded or included, Detect will include any workspace included by this property that is not excluded\. Exclusion rules always win\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    |Example|`workspaces/workspace-a,workspaces/workspace-b`|



## Include Yarn Production Dependencies Only (Deprecated) 
```
--detect.yarn.prod.only=false
```

Set this to true to only scan production dependencies\.



**DEPRECATED: This property is being removed in favor of detect\.yarn\.dependency\.types\.excluded\. If the replacement property is set, this property is ignored\. The default value of this property is used if both properties are not set\. This property will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|4\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    
